Subject: Re: bug#69934:

From: Robert Boyer <[email-masked]>
Date: Fri, 22 Mar 2024 09:17:03 -0500

God bless you.

Just what I needed.

Thanks so much,

Bob

On Fri, Mar 22, 2024 at 3:18 AM Stephen Berman <[email-masked]>
wrote:

> On Thu, 21 Mar 2024 20:17:09 -0500 Robert Boyer <
> [email-masked]> wrote:
>
> > Could some kind soul give me a line like the following, but one that
> > includes 'auto-revert tail' and 'display-line'?
> >
> > ;;; -*- Mode: auto-revert -*-
>
> The Emacs manual says (evaluate this sexp if you have the Info file
> installed: (info "(emacs) Specifying File Variables")):
>
>       Do not use the ‘mode’ keyword for minor modes.  To enable or disable
>    a minor mode in a local variables list, use the ‘eval’ keyword with a
>    Lisp expression that runs the mode command (*note Minor Modes::).  For
>    example, the following local variables list enables ElDoc mode (*note
>    Programming Language Doc::) by calling ‘eldoc-mode’ with no argument
>    (calling it with an argument of 1 would do the same), and disables Font
>    Lock mode (*note Font Lock::) by calling ‘font-lock-mode’ with an
>    argument of −1.
>
>         ;; Local Variables:
>         ;; eval: (eldoc-mode)
>         ;; eval: (font-lock-mode -1)
>         ;; End:
>
>    Note, however, that it is often a mistake to specify minor modes this
>    way.  Minor modes represent individual user preferences, and it may be
>    inappropriate to impose your preferences on another user who might edit
>    the file.  If you wish to automatically enable or disable a minor mode
>    in a situation-dependent way, it is often better to do it in a major
>    mode hook (*note Hooks::).
>
> So you could use this:
>
> ;; -*- eval: (auto-revert-mode); eval: (auto-revert-tail-mode); eval:
> (display-line-numbers-mode) -*-
>
> > Thanks,
> >
> > Bob
>
> Steve Berman
>